yacy: contrib -> romster

This commit is contained in:
Danny Rawlins 2011-10-27 23:25:05 +11:00
parent 6f7cd31db2
commit d73dccd393
8 changed files with 0 additions and 2294 deletions

File diff suppressed because it is too large Load Diff

View File

@ -1,4 +0,0 @@
b7e84a2c57a0dca656ea650088abdcd1 yacy-start.sh
3d51b10d074af11080dab542b94fbb0c yacy-stop.sh
e78740d3462d59270ab0e02c73f4570c yacy.rc
6eeaecad90d0af5cb6dbd0fa70f743d3 yacy_v0.99_20101105_7309.tar.gz

View File

@ -1,71 +0,0 @@
# Description: P2P application for web searching.
# URL: http://yacy.net/
# Maintainer: Danny Rawlins, monster dot romster at gmail dot com
# Packager: Danny Rawlins, monster dot romster at gmail dot com
# Depends on: ant
name=yacy
version=0.99
release=1
source=(http://www.yacy.net/release/${name}_v${version}_20101105_7309.tar.gz
yacy-start.sh yacy-stop.sh yacy.rc)
build() {
cd $name
ant
# remove source files
find $SRC/$name -type f -name '*.java' -delete
rm $SRC/$name/build.xml \
$SRC/$name/build.properties
rm -r $SRC/$name/source \
$SRC/$name/RELEASE
# install
install -d $PKG/usr/lib/yacy
cp -R * $PKG/usr/lib/yacy/
# remove junk files
find $PKG -type f -name '*.License' -delete
rm $PKG/usr/lib/yacy/addon/Notepad++/Readme.txt \
$PKG/usr/lib/yacy/defaults/yacy.network.readme \
$PKG/usr/lib/yacy/gpl.txt \
$PKG/usr/lib/yacy/readme.txt \
$PKG/usr/lib/yacy/addon/yacyInit.readme \
$PKG/usr/lib/yacy/startYACY.bat \
$PKG/usr/lib/yacy/startYACY_debug.bat \
$PKG/usr/lib/yacy/stopYACY.bat \
$PKG/usr/lib/yacy/addon/YaCy-Search.bat \
$PKG/usr/lib/yacy/{AUTHORS,COPYRIGHT,ChangeLog,NOTICE}
# move cache directory
install -d $PKG/var/cache/yacy
mv $PKG/usr/lib/yacy/DATA $PKG/var/cache/yacy/DATA
chmod 0660 $PKG/var/cache/yacy/DATA
ln -s /var/cache/yacy/DATA $PKG/usr/lib/yacy/DATA
chown -R yacy:yacy $PKG/var/cache/yacy
chmod -R 0770 $PKG/var/cache/yacy
# move configuration files
install -d $PKG/etc/yacy
local files='yacy.logging yacy.stopwords yacy.yellow'
for file in $files; do
mv $PKG/usr/lib/yacy/$file $PKG/etc/yacy/$file
chown root:yacy $PKG/etc/yacy/$file
chmod 0640 $PKG/etc/yacy/$file
ln -s /etc/yacy/$file $PKG/usr/lib/yacy/$file
done
# symlink generated configuration file
ln -s /var/cache/yacy/DATA/SETTINGS/yacy.conf $PKG/etc/yacy/yacy.conf
# install service
chown root:yacy $PKG/usr/lib/yacy/startYACY.sh $PKG/usr/lib/yacy/stopYACY.sh
chmod 0750 $PKG/usr/lib/yacy/startYACY.sh $PKG/usr/lib/yacy/stopYACY.sh
install -d $PKG/usr/sbin
install -m 0750 -g yacy $SRC/yacy-start.sh $PKG/usr/sbin/yacy-start
install -m 0750 -g yacy $SRC/yacy-stop.sh $PKG/usr/sbin/yacy-stop
install -m 0750 -D $SRC/yacy.rc $PKG/etc/rc.d/yacy
}

View File

@ -1,32 +0,0 @@
REQUIREMENTS:
PRECAUTION:
Once running goto the main page http://localhost:8080/ and
set a password and maybe change the port too.
PRE-INSTALL:
Yacy expects to have a user and group dedicated to it, a
pre-install script has been added to the port which takes
care of this.
POST-INSTALL:
Edit your favourite web browser and point it to proxy
localhost 8080 or which ip on your lan and port you have
assigned.
PRE-REMOVE:
POST-REMOVE:
NOTES:
Please add "yacy" to the SERVICES array in /etc/rc.conf if
you'd like to run yacy as a service (highly recomended).
Upon startup yacy takes some time to load before the web
browser will load the initial page, and some time to
shutdown too to save its state.

View File

@ -1,42 +0,0 @@
#!/bin/sh
# Created by Danny Rawlins, <romster at shortcircuit dot net dot au>
GROUP=yacy
USER=yacy
USER_COMMENT="Yacy Daemon"
USER_HOME=/var/empty
USER_SHELL=/bin/sh
if [ ! $(id -u) = 0 ]; then
echo "ERROR: you need to be root to run this!"
exit 1
fi
if [ $GROUP ]; then
if ! getent group $GROUP > /dev/null; then
/usr/sbin/groupadd $GROUP
if [ $? -eq 0 ]; then
echo "Group: $GROUP added."
fi
else
echo "Group: $GROUP already exists! Skipping."
fi
fi
if ! getent passwd $USER > /dev/null; then
/usr/sbin/useradd -g $GROUP -c "$USER_COMMENT" -d $USER_HOME -s $USER_SHELL $USER
if [ $? -eq 0 ]; then
echo "User: $USER added."
/usr/bin/passwd -l $USER
if [ $? -eq 0 ]; then
echo "Locked $USER account."
fi
else
echo "ERROR: unable to lock $USER account."
/usr/sbin/userdel $USER
fi
else
echo "User: $USER already exists! Skipping."
fi

View File

@ -1,5 +0,0 @@
#!/bin/sh
cd /usr/lib/yacy
./startYACY.sh

View File

@ -1,5 +0,0 @@
#!/bin/sh
cd /usr/lib/yacy
./stopYACY.sh

View File

@ -1,37 +0,0 @@
#!/bin/sh
#
# /etc/rc.d/yacy: start/stop yacy daemon
#
# User settings here
DAEMON=yacy
RUN_AS_USER=yacy
# end of user settings
RETVAL=0
case $1 in
start)
echo -n "Starting $DAEMON..."
su $RUN_AS_USER -c /usr/sbin/$DAEMON-start &> /dev/null & RETVAL=$?
echo " done."
;;
stop)
echo -n "Shutting down $DAEMON..."
su $RUN_AS_USER -c /usr/sbin/$DAEMON-stop &> /dev/null & RETVAL=$?
echo " done."
;;
restart)
$0 stop
sleep 20
$0 start
RETVAL=$?
;;
*)
echo "usage: $0 [start|stop|restart]"
;;
esac
exit $RETVAL
# End of file